<?php
// includes/config.php

$host = 'localhost';
$db   = 'gamenswa_aractakip';
$user = 'gamenswa_aractakip';
$pass = 'o.9;dRXmJ*OKdm;7';
$charset = 'utf8mb4';

$dsn = "mysql:host=$host;dbname=$db;charset=$charset";

$options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION, // Hata yönetimi
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,       // Dizi olarak veri çek
    PDO::ATTR_EMULATE_PREPARES   => false,                  // Gerçek prepare kullan
];

try {
    $pdo = new PDO($dsn, $user, $pass, $options);
} catch (\PDOException $e) {
    echo "Veritabanı bağlantı hatası: " . $e->getMessage();
    exit;
}
?>